package com.yutou.napcat.handle;

import com.alibaba.fastjson2.JSONObject;
import com.yutou.napcat.enums.MessageEnum;
import com.yutou.okhttp.BaseBean;
import lombok.Data;

import java.lang.reflect.Type;
import java.util.ArrayList;
import java.util.List;

@Data
public class BaseHandle<T> extends BaseBean {
    protected String type;
    protected T data;
    protected String src;

    public BaseHandle(String type) {
        this.type = type;
    }


    public BaseHandle(String type, Object obj) {
        super();
        this.type = type;
        this.data= (T) obj;
    }
}
